### Method

# Lfb Event set_timeout

#### Declaration [src]

    void
    lfb_event_set_timeout (
      LfbEvent* self,
      gint timeout
    )

#### Description [src]

Tells the feedback server to end feedback after #timeout seconds. The value -1 indicates to not set a timeout and let feedbacks stop on their own while 0 indicates to loop all feedbacks endlessly. They must be stopped via `lfb_event_end_feedback()` in this case.

It is an error to change the timeout after the feedback has been triggered via `lfb_event_trigger_feedback()`.

Sets property | `Lfb.Event:timeout`

#### Parameters

`timeout`

  Type: `gint`

  The timeout.